Just minutes ago I have uploaded version 0.2 of Lingua::DE::TypoGenerator to CPAN. The new release fixes some perl warnings that I didn’t realize before.
When looking for sites mentioning the module I also learnt that it did not seem to work with ActiveState perl because it required at least perl 5.8.8. I have “downgraded” this requirement to 5.8.0 and hope to see it PASS soon.

You can install the module via cpan soon or download it directly here:
Lingua-DE-TypoGenerator-0.2.tar.gz